> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Payout Status

> This endpoint will return the status of the withdrawal request.

This endpoint will return the status of the withdrawal request.


## OpenAPI

````yaml GET /api/v3/withdraw/status/{reference_id}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/withdraw/status/{reference_id}:
    get:
      tags:
        - WITHDRAW
      summary: Get Withdrawal Mobile Money Status
      description: This endpoint will return the status of the withdrawal request.
      operationId: WithdrawController_getWithdrawalStatus_api/v3
      parameters:
        - name: reference_id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Withdrawal status retrieved
                  data:
                    $ref: '#/components/schemas/WithdrawStatusResponseDto'
                    type: object
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Reference Id not found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  schemas:
    WithdrawStatusResponseDto:
      type: object
      properties:
        id:
          type: string
          description: withdrawal id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        amount:
          type: number
          description: amount to withdraw
          example: 10
        walletId:
          type: string
          description: wallet id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        callbackUrl:
          type: string
          description: callback url
          example: https://example.com
        referenceId:
          type: string
          description: reference id
          example: 5f9b2c7b9c9d6b0017b4e6b1
        currency:
          type: string
          description: >-
            Override transaction currency (e.g. USD for USD mobile money in
            Congo/Zambia). When provided and matches the wallet currency,
            phone-country currency validation is skipped.
          example: USD
        status:
          allOf:
            - $ref: '#/components/schemas/WithdrawStatus'
        referenceNumber:
          type: number
        created_at:
          format: date-time
          type: string
        transactionCost:
          type: number
        transactionAmount:
          type: number
        customerKey:
          type: string
        confirmationId:
          type: string
        integratorFeeAmount:
          type: number
        integratorFee:
          type: number
        integratorCommissionType:
          allOf:
            - $ref: '#/components/schemas/INTEGRATOR_FEE_TYPE'
        errorMessage:
          type: string
        transactionError:
          type: string
          description: Transaction error message from provider or system
        telcoId:
          type: string
          description: Telco/MNO transaction ID from the mobile money provider
      required:
        - id
        - amount
        - walletId
        - status
        - referenceNumber
        - created_at
        - transactionCost
        - transactionAmount
        - customerKey
        - integratorFeeAmount
        - integratorFee
        - integratorCommissionType
        - errorMessage
    WithdrawStatus:
      type: string
      enum:
        - RETRY
        - PENDING
        - SUCCESSFUL
        - FAILED
        - CANCELLED
        - REVERSED
        - IN_PROGRESS
        - INITIATED
        - ERROR_OCCURRED
        - DECLINED
        - EXPIRED
        - REQUIRE_REVIEW
        - NOT_INITIATED
        - TRANSACTION_INITIATED
        - TRANSACTION_RETRY
        - TRANSACTION_RETRY_SUCCESSFUL
        - TRANSACTION_RETRY_FAILED
    INTEGRATOR_FEE_TYPE:
      type: string
      enum:
        - PERCENTAGE
        - FLAT
        - NONE
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````